Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.label.model
Interface VLabel

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VElement

All Known Implementing Classes:
  VLabelImpl

    public interface VLabel

extends VContainedElement

A representation of the model object 'Label'.

The following features are supported:

- `Style`
- `Domain Model Reference`

See Also:
  `VLabelPackage.getLabel()`

Method Summary
`VDomainModelReference` | `getDomainModelReference()` Returns the value of the 'Domain Model Reference' containment reference.
`VLabelStyle` | `getStyle()` Returns the value of the 'Style' attribute.
`void` | `setDomainModelReference(VDomainModelReference value)` Sets the value of the '`Domain Model Reference`' containment reference.
`void` | `setStyle(VLabelStyle value)` Sets the value of the '`Style`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getStyle

    VLabelStyle getStyle()

  Returns the value of the 'Style' attribute. The literals are from the enumeration `VLabelStyle`.

  If the meaning of the 'Style' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Style' attribute.
  See Also:
    `VLabelStyle`, `setStyle(VLabelStyle)`, `VLabelPackage.getLabel_Style()`

### setStyle

    void setStyle(VLabelStyle value)

  Sets the value of the '`Style`' attribute.

  Parameters:
    `value` - the new value of the 'Style' attribute.
  See Also:
    `VLabelStyle`, `getStyle()`

### getDomainModelReference

    VDomainModelReference getDomainModelReference()

  Returns the value of the 'Domain Model Reference' containment reference.

  If the meaning of the 'Domain Model Reference' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Model Reference' containment reference.
  Since:
    1.4
  See Also:
    `setDomainModelReference(VDomainModelReference)`, `VLabelPackage.getLabel_DomainModelReference()`

### setDomainModelReference

    void setDomainModelReference(VDomainModelReference value)

  Sets the value of the '`Domain Model Reference`' containment reference.

  Parameters:
    `value` - the new value of the 'Domain Model Reference' containment reference.
  Since:
    1.4
  See Also:
    `getDomainModelReference()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.